package com.openexchange.guard.updater;

import com.openexchange.database.AbstractCreateTableImpl;
import com.openexchange.server.ServiceLookup;

/**
 * Create table for mailvelope
 * Since Guard 2.2
 * @author greg.hill
 *
 */
public class CreateMailvelopeTableService extends AbstractCreateTableImpl {

    /**
     * Initializes a new {@link CreateMailvelopeTableService}.
     */
	ServiceLookup service;

    public CreateMailvelopeTableService() {
        super();

    }

    private String createMailvelopeTable() {
        return "CREATE TABLE og_mailvelope (" +
        "`id`  int NOT NULL , " +
        "`cid`  int NOT NULL , " +
        "`keydata`  mediumtext NULL , "+
        "PRIMARY KEY (`id`, `cid`)" +
        ")";
    }

	@Override
	public String[] requiredTables() {
		return new String[] { ""};
	}

	@Override
	public String[] tablesToCreate() {
		return new String[] { "og_mailvelope" };
	}

	@Override
	protected String[] getCreateStatements() {
		return new String[] { createMailvelopeTable() };
	}



}
